Skip to content
Navigation

List startup profile versions

GET
https://api.sureshake.com/v2/startups/{id}/profile/versions

Path parameters

  • id
    string
    required
    format: uuid

Returns

200

Default Response

JSON
  • data
    array of
    object
    required
    • id
      string
      required
      format: uuid
    • listingId
      string
      required
      format: uuid
    • versionNumber
      integer
      required
      minimum: 0
    • snapshot
      object
      required
      • displayName
        string
        required
        minLength: 1
      • stage
        idea
        or
        pre_seed
        or
        seed
        or
        series_a
        or
        series_b
        or
        growth
        +1 more
        or null
        required
      • sector
        string
        or null
        required
      • geography
        string
        or null
        required
      • raiseStatus
        or null
        required

        Any of the following:

        • string
        • string
      • tractionSummary
        string
        or null
        required
      • website
        string
        or null
        required
      • linkedinUrl
        string
        or null
        required
      • xHandle
        string
        or null
        required
      • profileVisibility
        object
        required
        • stage
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • sector
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • geography
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • raiseStatus
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • tractionSummary
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • website
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • linkedinUrl
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • xHandle
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
    • changedFields
      array of
      displayName
      or
      stage
      or
      sector
      or
      geography
      or
      raiseStatus
      or
      tractionSummary
      +4 more
      required
    • actorUserId
      string
      required
      minLength: 1
    • actor
      object
      or null
      required
      • id
        string
        required
      • name
        string
        required
      • email
        string
        required
        format: email
    • dataProvenance
      or null
      required

      Any of the following:

      • object
        • classification
          self_reported_profile_data
          required
        • reportedAt
          string
          required
          format: date-time
        • reportingActor
          subject
          or
          authorized_entity_representative
          or
          operator
          required
      • object
        • classification
          observed_public_data
          required
        • observedAt
          string
          required
          format: date-time
        • sourceKind
          string
          required
          minLength: 1
        • sourceReference
          string
          or null
          required
          minLength: 1
    • changeKind
      edit
      or
      correction
      required
    • changeReason
      string
      or null
      required
      minLength: 1
    • previousSnapshot
      object
      or null
      required
      • displayName
        string
        required
        minLength: 1
      • stage
        idea
        or
        pre_seed
        or
        seed
        or
        series_a
        or
        series_b
        or
        growth
        +1 more
        or null
        required
      • sector
        string
        or null
        required
      • geography
        string
        or null
        required
      • raiseStatus
        or null
        required

        Any of the following:

        • string
        • string
      • tractionSummary
        string
        or null
        required
      • website
        string
        or null
        required
      • linkedinUrl
        string
        or null
        required
      • xHandle
        string
        or null
        required
      • profileVisibility
        object
        required
        • stage
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • sector
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • geography
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • raiseStatus
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • tractionSummary
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • website
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • linkedinUrl
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
        • xHandle
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          required
    • createdAt
      string
      required
      format: date-time
  • meta
    object
    required
    • total
      number
      required

      Total number of items available

    • limit
      number
      required

      Number of items per page

    • offset
      number
      required

      Number of items skipped

    • hasMore
      boolean
      required

      Whether more items are available

    • page
      optional
      number

      Current page number

    • totalPages
      optional
      number

      Total number of pages

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close